{if $showSearch}
    {snippet snipForm}
        {form formSearch class => 'ajax dropzone-search'}
            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text bg-transparent border-0"><i class="fas fa-fw fa-search"></i></span>
                </div>
                {input fileHash class => 'form-control js-form-file-hash'}
            {input phrase class => 'form-control js-form-file-search', autocomplete => 'off'}
                <div class="input-group-append">
                    {input send class => 'btn btn-outline-primary'}
                </div>
            </div>
        {/form}
    {/snippet}
{/if}

{control formDropzone}

{snippet snipFlashmessage}
    <section class="mt-3" n:if=count($flashes)>
        <div n:foreach="$flashes as $flash" class="alert alert-{$flash->type}">{_$flash->message}</div>
    </section>
{/snippet}

<script n:syntax="double" n:if="$showSearch">
    $(function () {
        function formFileInit() {
            $('.js-form-file-search:not(.init-form-file)')
                .addClass('init-form-file')
                .autocomplete({
                    source: function (request, response) {
                        var data = {};
                        data[{{$control->getParameterId('phrase')}}] = request.term;
                        $.nette.ajax({
                            url: {{link searchFile!}},
                            dataType: 'json',
                            data: data,
                            success: function (data) {
                                response(data);
                            }
                        });
                    },
                    minLength: 2,
                    select: function (event, ui) {
                        $('.js-form-file-hash').val(ui.item.hash);
                    }
                });
        }

        $.nette.ext({
            success: function (payload) {
                formFileInit();
            },
            init: function () {
                formFileInit();
            }
        });
    });
</script>

<style n:if="$showSearch">
    .dropzone {
        border-radius: 0 0 0.35rem 0.35rem;
    }

    .dropzone-search {
        border: 2px dashed #335371;
        border-radius: 0.35rem 0.35rem 0 0;
        border-bottom: 0;
    }

    .dropzone-search input {
        border: none;
        border-radius: 0;
    }

    .dropzone-search input[type="submit"] {
        border-radius: 0 0.35rem 0 0;
        border-left: 2px dashed #335371;
        margin-bottom: 1px;
        margin-right: 1px;
    }

    .ui-autocomplete {
        z-index: 99999;
    }

    .ui-widget.ui-widget-content {
        border: 2px dashed #335371;
        border-top-color: transparent;
    }
</style>